Zum Hauptinhalt springen

Get a delivery box

GET/v2/delivery-boxes/{deliveryBoxId}
API-Version
v2
Request-Methode
GET
Operation-ID
mail-get-delivery-box

Request​

  • deliveryBoxIdstring (uuid)required

    ID of the DeliveryBox to be retrieved.

Responses​

Format
application/json
Beschreibung

OK

  • authenticationEnabledbooleanrequired
  • descriptionstringrequired
  • idstring (uuid)required
  • namestringrequired
  • passwordUpdatedAtstring (date-time)required
  • projectIdstringrequired
  • sendingEnabledbooleanrequired
  • updatedAtstring (date-time)required
Content-Type: application/json

{
"authenticationEnabled": true,
"description": "string",
"id": "f0f86186-0a5a-45b2-aa33-502777496347",
"name": "string",
"passwordUpdatedAt": "1985-10-26T01:21:00.000Z",
"projectId": "string",
"sendingEnabled": true,
"updatedAt": "1985-10-26T01:21:00.000Z"
}
{
"properties": {
"authenticationEnabled": {
"type": "boolean"
},
"description": {
"type": "string"
},
"id": {
"format": "uuid",
"type": "string"
},
"name": {
"type": "string"
},
"passwordUpdatedAt": {
"format": "date-time",
"type": "string"
},
"projectId": {
"type": "string"
},
"sendingEnabled": {
"type": "boolean"
},
"updatedAt": {
"format": "date-time",
"type": "string"
}
},
"required": [
"id",
"name",
"projectId",
"description",
"authenticationEnabled",
"sendingEnabled",
"passwordUpdatedAt",
"updatedAt"
],
"type": "object"
}

Nutzungsbeispiele​

$ curl \
--fail \
--location \
-H "Authorization: Bearer $MITTWALD_API_TOKEN" \
https://api.mittwald.de/v2/delivery-boxes/f0f86186-0a5a-45b2-aa33-502777496347
import { MittwaldAPIV2Client } from "@mittwald/api-client";
import { assertStatus } from "@mittwald/api-client-commons";

const client = MittwaldAPIClient.newWithToken(process.env.MITTWALD_API_TOKEN);
const response = await client.mail.getDeliveryBox({
"deliveryBoxId": "f0f86186-0a5a-45b2-aa33-502777496347"
});

assertStatus(response, 200);

use \Mittwald\ApiClient\Generated\V2\Clients\Mail\GetDeliveryBox\GetDeliveryBoxRequest;

$client = MittwaldAPIClient::newWithToken(getenv('MITTWALD_API_TOKEN'));

$request = (new GetDeliveryBoxRequest(
deliveryBoxId: "f0f86186-0a5a-45b2-aa33-502777496347"
));
$response = $client->mail()->getDeliveryBox($request);

var_dump($response->getBody();

Auf dieser Seite